precision mediump float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
varying mediump vec2 vPosition;
uniform float k1,b1;
uniform int type;
uniform float tx,ty;
bool isInLine(float x,float y){
    float cx = x;
    float cy = y;
    float y1 = cx * k1 + b1;
    if(type == 0){
        if(k1 > 0.0){
            if (y1 > cy){
                return true;
            } else {
                return false;
            }
        }  else {
            if (y1 > cy){
                return false;
            } else {
                return true;
            }
        }
    } else {
        if(k1 > 0.0){
            if (y1 < cy){
                return false;
            } else {
                return true;
            }
        }  else {
            if (y1 < cy){
                return true;
            } else {
                return false;
            }
        }
    }
}
void main() {
    mediump vec4 color = texture2D(inputImageTexture,textureCoordinate);
    if(isInLine(vPosition.x,vPosition.y)){
        color.argb = vec4(0.0,0.0,0.0,0.0);
    }
    gl_FragColor = color;
}
