precision mediump float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
varying mediump vec2 vPosition;
uniform float k1,b1,k2,b2;
uniform int type;
bool isInLine1(float x,float y){
    float cx = x;
    float cy = y;
    float y1 = cx * k1 + b1;
    if(type == 0){
        if(k1 > 0.0){
            if (y1 > cy){
                return true;
            } else {
                return false;
            }
        }  else {
            if (y1 > cy){
                return false;
            } else {
                return true;
            }
        }
    } else {
        if(k1 > 0.0){
            if (y1 < cy){
                return false;
            } else {
                return true;
            }
        }  else {
            if (y1 < cy){
                return true;
            } else {
                return false;
            }
        }
    }
}


bool isInLine2(float x,float y){
    float cx = x;
    float cy = y;
    float y2 = cx * k2 + b2;
    if(type == 0){
        if(k2 > 0.0){
            if (y2 < cy){
                return true;
            } else {
                return false;
            }
        }  else {
            if (y2 < cy){
                return false;
            } else {
                return true;
            }
        }
    } else {
        if(k2 > 0.0){
            if (y2 < cy){
                return false;
            } else {
                return true;
            }
        }  else {
            if (y2 < cy){
                return true;
            } else {
                return false;
            }
        }
    }
}
void main() {
    mediump vec4 color = texture2D(inputImageTexture,textureCoordinate);
    float temp_x = vPosition.x;
    float temp_y = vPosition.y;
    if(isInLine1(temp_x,temp_y) || isInLine2(temp_x,temp_y)){
        color.argb = vec4(0.0, 0.0, 0.0, 0.0);
    }
    gl_FragColor = color;
}
