precision mediump float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputMaskTexture;
varying mediump vec2 vPosition;


void main() {
    mediump vec4 color = texture2D(inputImageTexture,textureCoordinate);
    mediump vec4 mask_color = texture2D(inputMaskTexture,textureCoordinate);
    if(mask_color.a == 0 && mask_color.r == 0 && mask_color.g == 0 && mask_color.b ==0){
        gl_FragColor = color;
    } else{
        gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
    }
}
